[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# IsPM

Determine whether a time is PM or AM.

## Declaration

Source position: dateutil.inc line 97

`function IsPM(`
`const AValue: TDateTime`
`):Boolean;`

## Arguments

`AValue` |  | Time to check.

## Function result

True if the time part of AValue is PM (afternoon).

## Description

IsPM returns True if the time part of AValue is later then 12:00 (PM, or afternoon).

## See also

YearOf |  | Extract the year from a given date.
IsInLeapYear |  | Determine whether a date is in a leap year.
IsToday |  | Check whether a given date is today.
IsSameDay |  | Check if two date/time indications are the same day.

## Example

    Program Example4;

    { This program demonstrates the IsPM function }

    Uses SysUtils,DateUtils;

    Begin
      Writeln('Current time is PM : ',IsPM(Now));
    End.